<?php

namespace Dedi\SyliusCmsPlugin\Form\Type\UiElement;

use MonsieurBiz\SyliusRichEditorPlugin\Form\Type\UiElement\ImageType;
use MonsieurBiz\SyliusRichEditorPlugin\Form\Type\UiElement\TextType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\FormBuilderInterface;

class BannerType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('image', ImageType::class, [
                'label' => 'dedi_cms.ui_element.banner.image',
                'required' => false,
            ])
            ->add('title', SEOTitleType::class, [
                'label' => 'dedi_cms.ui_element.banner.title',
            ])
            ->add('style', ChoiceType::class, [
                'label' => 'dedi_cms.ui_element.banner.style.label',
                'choices' => [
                    'dedi_cms.ui_element.banner.style.light' => 'light',
                    'dedi_cms.ui_element.banner.style.dark' => 'dark'
                ]
            ])
            ->add('text', TextType::class, [
                'label' => 'dedi_cms.ui_element.banner.content',
            ])
            ->add('link', SEOLinkType::class, [
                'label' => 'dedi_cms.ui_element.banner.link',
                'required' => false,
            ])
        ;
    }
}
